## org.codehaus.groovy.antlr
Class AntlrASTProcessSnippets

    java.lang.Object
      org.codehaus.groovy.antlr.AntlrASTProcessSnippets

All Implemented Interfaces:
  AntlrASTProcessor

    public class AntlrASTProcessSnippets

extends Object
implements AntlrASTProcessor

Constructor Summary
`AntlrASTProcessSnippets()`

Method Summary
`AST` `process(AST t)` decorate antlr AST with ending line/col info, and if possible the snipppet of source from the start/end line/col for each node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AntlrASTProcessSnippets

    public AntlrASTProcessSnippets()

Method Detail

### process

    public AST process(AST t)

  decorate antlr AST with ending line/col info, and if possible the snipppet of source from the start/end line/col for each node.

  Specified by:
    `process` in interface `AntlrASTProcessor`
  Parameters:
    `t` - the AST to decorate
  Returns:
    the decorated AST

Copyright © 2003-2009 The Codehaus. All rights reserved.